# LEZ + CSS

WebExtension improving the *Lösungseinzugszentrale* of KIT via CSS.
Contains only usable improvements for tutors.

**This project is not officially supported by KIT or any other institutions assigned to KIT.**

## Installation

### Mozilla Firefox

Download the addon from the releases,
go to the [Addon Manager](about:addons)
and select *Install addon From File ...*.

### Google Chrome

Clone the repository to your computer and install the extension in your browser as temporary / unpacked extension.

See https://developer.chrome.com/extensions/tut_debugging

## Improvements

- Enable horizontal scrollbars
- Monospace fonts for numbers / checksums
- Improves review table
    - Hides names of students (keeps the students number)
    - Swaps red background with orange border (indicating an invalid points value)
- Improves solution table
    - Hides status column (status indicated by color by default)

## Repository

- Original Repository: https://git.banananet.work/zocker/lez-plus-css
- Official Clone: https://git.scc.kit.edu/urwai/lez-plus-css
- Issue Tracker: https://git.scc.kit.edu/urwai/lez-plus-css/issues

### License

Released under MIT License, see file `LICENSE`.

### Notes

CSS Injection Code inspired by https://github.com/iamdiogo/DarkCloud (also released under MIT).
